//###########################################################################
//
// FILE:	CBaseSubSystem.h
//
// TITLE:	.
//
//###########################################################################
#ifndef CBaseSubSystem_H
#define CBaseSubSystem_H

#include "ProjectConfiguration.h"

#ifdef __cplusplus
extern "C" {
#endif



class CBaseSubSystem
{    
public:
// function
	CBaseSubSystem();
	~CBaseSubSystem();
	virtual void Init();
	virtual STATUS HWconfig ();
	virtual STATUS EnterState(Uint16 enState);
	virtual STATUS Reset();
	virtual STATUS MakeMonitoring();
	virtual	STATUS Operate(Uint16 uiID, Uint16 OPcode,Uint16 uiDataSize, char *pDataBuff);
	Uint16 GetStatus();
	virtual int16 MyExecuteCANCommand( Uint16 uiCommand,Uint16 uiDataSize,char *p_uiData,Uint16 *p_uiReturnDataSize);
// Data
	Uint16 m_uiType;

};


//---------------------------------------------------------------------------

#ifdef __cplusplus
}
#endif /* extern "C" */

#endif
/*** end of file *****************************************************/
